<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head><meta http-equiv="content-type" content="text/html; charset=UTF-8" />
<title>FCMAdapterFactory xref</title>
<link type="text/css" rel="stylesheet" href="../../../../../../../stylesheet.css" />
</head>
<body>
<div id="overview"><a href="../../../../../../../../apidocs/org/eclipse/papyrus/designer/components/FCM/util/FCMAdapterFactory.html">View Javadoc</a></div><pre>
<a class="jxr_linenumber" name="L1" href="#L1">1</a>   <em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L2" href="#L2">2</a>   <em class="jxr_javadoccomment"> * Copyright (c) 2013 CEA LIST</em>
<a class="jxr_linenumber" name="L3" href="#L3">3</a>   <em class="jxr_javadoccomment"> *</em>
<a class="jxr_linenumber" name="L4" href="#L4">4</a>   <em class="jxr_javadoccomment"> * All rights reserved. This program and the accompanying materials are</em>
<a class="jxr_linenumber" name="L5" href="#L5">5</a>   <em class="jxr_javadoccomment"> * made available under the terms of the Eclipse Public License v1.0 which</em>
<a class="jxr_linenumber" name="L6" href="#L6">6</a>   <em class="jxr_javadoccomment"> * accompanies this distribution, and is available at</em>
<a class="jxr_linenumber" name="L7" href="#L7">7</a>   <em class="jxr_javadoccomment"> * <a href="http://www.eclipse.org/legal/epl-v10.htm" target="alexandria_uri">http://www.eclipse.org/legal/epl-v10.htm</a>l</em>
<a class="jxr_linenumber" name="L8" href="#L8">8</a>   <em class="jxr_javadoccomment"> *</em>
<a class="jxr_linenumber" name="L9" href="#L9">9</a>   <em class="jxr_javadoccomment"> * Contributors:</em>
<a class="jxr_linenumber" name="L10" href="#L10">10</a>  <em class="jxr_javadoccomment"> *    Ansgar Radermacher - Initial API and implementation</em>
<a class="jxr_linenumber" name="L11" href="#L11">11</a>  <em class="jxr_javadoccomment"> *</em>
<a class="jxr_linenumber" name="L12" href="#L12">12</a>  <em class="jxr_javadoccomment"> */</em>
<a class="jxr_linenumber" name="L13" href="#L13">13</a>  <strong class="jxr_keyword">package</strong> org.eclipse.papyrus.designer.components.FCM.util;
<a class="jxr_linenumber" name="L14" href="#L14">14</a>  
<a class="jxr_linenumber" name="L15" href="#L15">15</a>  <strong class="jxr_keyword">import</strong> org.eclipse.emf.common.notify.Adapter;
<a class="jxr_linenumber" name="L16" href="#L16">16</a>  <strong class="jxr_keyword">import</strong> org.eclipse.emf.common.notify.Notifier;
<a class="jxr_linenumber" name="L17" href="#L17">17</a>  <strong class="jxr_keyword">import</strong> org.eclipse.emf.common.notify.impl.AdapterFactoryImpl;
<a class="jxr_linenumber" name="L18" href="#L18">18</a>  <strong class="jxr_keyword">import</strong> org.eclipse.emf.ecore.EObject;
<a class="jxr_linenumber" name="L19" href="#L19">19</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.components.FCM.*;
<a class="jxr_linenumber" name="L20" href="#L20">20</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.components.FCM.CodeGenOptions;
<a class="jxr_linenumber" name="L21" href="#L21">21</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.components.FCM.CompImplTemplate;
<a class="jxr_linenumber" name="L22" href="#L22">22</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.components.FCM.CompToOOmapping;
<a class="jxr_linenumber" name="L23" href="#L23">23</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.components.FCM.ConfigurableElementInstance;
<a class="jxr_linenumber" name="L24" href="#L24">24</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.components.FCM.Connector;
<a class="jxr_linenumber" name="L25" href="#L25">25</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.components.FCM.ContainerRule;
<a class="jxr_linenumber" name="L26" href="#L26">26</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.components.FCM.FCMPackage;
<a class="jxr_linenumber" name="L27" href="#L27">27</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.components.FCM.ImplementationGroup;
<a class="jxr_linenumber" name="L28" href="#L28">28</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.components.FCM.InstanceConfigurator;
<a class="jxr_linenumber" name="L29" href="#L29">29</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.components.FCM.InteractionComponent;
<a class="jxr_linenumber" name="L30" href="#L30">30</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.components.FCM.InterceptionRule;
<a class="jxr_linenumber" name="L31" href="#L31">31</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.components.FCM.Port;
<a class="jxr_linenumber" name="L32" href="#L32">32</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.components.FCM.PortKind;
<a class="jxr_linenumber" name="L33" href="#L33">33</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.components.FCM.RuleApplication;
<a class="jxr_linenumber" name="L34" href="#L34">34</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.components.FCM.Singleton;
<a class="jxr_linenumber" name="L35" href="#L35">35</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.components.FCM.TemplatePort;
<a class="jxr_linenumber" name="L36" href="#L36">36</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.components.FCM.UseInstanceConfigurator;
<a class="jxr_linenumber" name="L37" href="#L37">37</a>  
<a class="jxr_linenumber" name="L38" href="#L38">38</a>  <em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L39" href="#L39">39</a>  <em class="jxr_javadoccomment"> * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L40" href="#L40">40</a>  <em class="jxr_javadoccomment"> * The &lt;b&gt;Adapter Factory&lt;/b&gt; for the model.</em>
<a class="jxr_linenumber" name="L41" href="#L41">41</a>  <em class="jxr_javadoccomment"> * It provides an adapter &lt;code&gt;createXXX&lt;/code&gt; method for each class of the model.</em>
<a class="jxr_linenumber" name="L42" href="#L42">42</a>  <em class="jxr_javadoccomment"> * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L43" href="#L43">43</a>  <em class="jxr_javadoccomment"> * @see org.eclipse.papyrus.designer.components.FCM.FCMPackage</em>
<a class="jxr_linenumber" name="L44" href="#L44">44</a>  <em class="jxr_javadoccomment"> * @generated</em>
<a class="jxr_linenumber" name="L45" href="#L45">45</a>  <em class="jxr_javadoccomment"> */</em>
<a class="jxr_linenumber" name="L46" href="#L46">46</a>  <strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">class</strong> <a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/util/FCMAdapterFactory.html">FCMAdapterFactory</a> <strong class="jxr_keyword">extends</strong> AdapterFactoryImpl {
<a class="jxr_linenumber" name="L47" href="#L47">47</a>  	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L48" href="#L48">48</a>  <em class="jxr_javadoccomment">	 * The cached model package.</em>
<a class="jxr_linenumber" name="L49" href="#L49">49</a>  <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L50" href="#L50">50</a>  <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L51" href="#L51">51</a>  <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L52" href="#L52">52</a>  <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L53" href="#L53">53</a>  	<strong class="jxr_keyword">protected</strong> <strong class="jxr_keyword">static</strong> <a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/FCMPackage.html">FCMPackage</a> modelPackage;
<a class="jxr_linenumber" name="L54" href="#L54">54</a>  
<a class="jxr_linenumber" name="L55" href="#L55">55</a>  	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L56" href="#L56">56</a>  <em class="jxr_javadoccomment">	 * Creates an instance of the adapter factory.</em>
<a class="jxr_linenumber" name="L57" href="#L57">57</a>  <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L58" href="#L58">58</a>  <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L59" href="#L59">59</a>  <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L60" href="#L60">60</a>  <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L61" href="#L61">61</a>  	<strong class="jxr_keyword">public</strong> <a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/util/FCMAdapterFactory.html">FCMAdapterFactory</a>() {
<a class="jxr_linenumber" name="L62" href="#L62">62</a>  		<strong class="jxr_keyword">if</strong> (modelPackage == <strong class="jxr_keyword">null</strong>) {
<a class="jxr_linenumber" name="L63" href="#L63">63</a>  			modelPackage = FCMPackage.eINSTANCE;
<a class="jxr_linenumber" name="L64" href="#L64">64</a>  		}
<a class="jxr_linenumber" name="L65" href="#L65">65</a>  	}
<a class="jxr_linenumber" name="L66" href="#L66">66</a>  
<a class="jxr_linenumber" name="L67" href="#L67">67</a>  	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L68" href="#L68">68</a>  <em class="jxr_javadoccomment">	 * Returns whether this factory is applicable for the type of the object.</em>
<a class="jxr_linenumber" name="L69" href="#L69">69</a>  <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L70" href="#L70">70</a>  <em class="jxr_javadoccomment">	 * This implementation returns &lt;code&gt;true&lt;/code&gt; if the object is either the model's package or is an instance object of the model.</em>
<a class="jxr_linenumber" name="L71" href="#L71">71</a>  <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L72" href="#L72">72</a>  <em class="jxr_javadoccomment">	 * @return whether this factory is applicable for the type of the object.</em>
<a class="jxr_linenumber" name="L73" href="#L73">73</a>  <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L74" href="#L74">74</a>  <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L75" href="#L75">75</a>  	@Override
<a class="jxr_linenumber" name="L76" href="#L76">76</a>  	<strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">boolean</strong> isFactoryForType(Object object) {
<a class="jxr_linenumber" name="L77" href="#L77">77</a>  		<strong class="jxr_keyword">if</strong> (object == modelPackage) {
<a class="jxr_linenumber" name="L78" href="#L78">78</a>  			<strong class="jxr_keyword">return</strong> <strong class="jxr_keyword">true</strong>;
<a class="jxr_linenumber" name="L79" href="#L79">79</a>  		}
<a class="jxr_linenumber" name="L80" href="#L80">80</a>  		<strong class="jxr_keyword">if</strong> (object instanceof EObject) {
<a class="jxr_linenumber" name="L81" href="#L81">81</a>  			<strong class="jxr_keyword">return</strong> ((EObject)object).eClass().getEPackage() == modelPackage;
<a class="jxr_linenumber" name="L82" href="#L82">82</a>  		}
<a class="jxr_linenumber" name="L83" href="#L83">83</a>  		<strong class="jxr_keyword">return</strong> false;
<a class="jxr_linenumber" name="L84" href="#L84">84</a>  	}
<a class="jxr_linenumber" name="L85" href="#L85">85</a>  
<a class="jxr_linenumber" name="L86" href="#L86">86</a>  	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L87" href="#L87">87</a>  <em class="jxr_javadoccomment">	 * The switch that delegates to the &lt;code&gt;createXXX&lt;/code&gt; methods.</em>
<a class="jxr_linenumber" name="L88" href="#L88">88</a>  <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L89" href="#L89">89</a>  <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L90" href="#L90">90</a>  <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L91" href="#L91">91</a>  <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L92" href="#L92">92</a>  	<strong class="jxr_keyword">protected</strong> FCMSwitch&lt;Adapter&gt; modelSwitch =
<a class="jxr_linenumber" name="L93" href="#L93">93</a>  			<strong class="jxr_keyword">new</strong> FCMSwitch&lt;Adapter&gt;() {
<a class="jxr_linenumber" name="L94" href="#L94">94</a>  			@Override
<a class="jxr_linenumber" name="L95" href="#L95">95</a>  			<strong class="jxr_keyword">public</strong> Adapter caseImplementationGroup(<a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/ImplementationGroup.html">ImplementationGroup</a> object) {
<a class="jxr_linenumber" name="L96" href="#L96">96</a>  				<strong class="jxr_keyword">return</strong> createImplementationGroupAdapter();
<a class="jxr_linenumber" name="L97" href="#L97">97</a>  			}
<a class="jxr_linenumber" name="L98" href="#L98">98</a>  			@Override
<a class="jxr_linenumber" name="L99" href="#L99">99</a>  			<strong class="jxr_keyword">public</strong> Adapter caseCompToOOmapping(<a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/CompToOOmapping.html">CompToOOmapping</a> object) {
<a class="jxr_linenumber" name="L100" href="#L100">100</a> 				<strong class="jxr_keyword">return</strong> createCompToOOmappingAdapter();
<a class="jxr_linenumber" name="L101" href="#L101">101</a> 			}
<a class="jxr_linenumber" name="L102" href="#L102">102</a> 			@Override
<a class="jxr_linenumber" name="L103" href="#L103">103</a> 			<strong class="jxr_keyword">public</strong> Adapter caseCodeGenOptions(<a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/CodeGenOptions.html">CodeGenOptions</a> object) {
<a class="jxr_linenumber" name="L104" href="#L104">104</a> 				<strong class="jxr_keyword">return</strong> createCodeGenOptionsAdapter();
<a class="jxr_linenumber" name="L105" href="#L105">105</a> 			}
<a class="jxr_linenumber" name="L106" href="#L106">106</a> 			@Override
<a class="jxr_linenumber" name="L107" href="#L107">107</a> 			<strong class="jxr_keyword">public</strong> Adapter caseInteractionComponent(<a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/InteractionComponent.html">InteractionComponent</a> object) {
<a class="jxr_linenumber" name="L108" href="#L108">108</a> 				<strong class="jxr_keyword">return</strong> createInteractionComponentAdapter();
<a class="jxr_linenumber" name="L109" href="#L109">109</a> 			}
<a class="jxr_linenumber" name="L110" href="#L110">110</a> 			@Override
<a class="jxr_linenumber" name="L111" href="#L111">111</a> 			<strong class="jxr_keyword">public</strong> Adapter caseSingleton(<a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/Singleton.html">Singleton</a> object) {
<a class="jxr_linenumber" name="L112" href="#L112">112</a> 				<strong class="jxr_keyword">return</strong> createSingletonAdapter();
<a class="jxr_linenumber" name="L113" href="#L113">113</a> 			}
<a class="jxr_linenumber" name="L114" href="#L114">114</a> 			@Override
<a class="jxr_linenumber" name="L115" href="#L115">115</a> 			<strong class="jxr_keyword">public</strong> Adapter caseConnector(<a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/Connector.html">Connector</a> object) {
<a class="jxr_linenumber" name="L116" href="#L116">116</a> 				<strong class="jxr_keyword">return</strong> createConnectorAdapter();
<a class="jxr_linenumber" name="L117" href="#L117">117</a> 			}
<a class="jxr_linenumber" name="L118" href="#L118">118</a> 			@Override
<a class="jxr_linenumber" name="L119" href="#L119">119</a> 			<strong class="jxr_keyword">public</strong> Adapter caseConfigurableElementInstance(<a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/ConfigurableElementInstance.html">ConfigurableElementInstance</a> object) {
<a class="jxr_linenumber" name="L120" href="#L120">120</a> 				<strong class="jxr_keyword">return</strong> createConfigurableElementInstanceAdapter();
<a class="jxr_linenumber" name="L121" href="#L121">121</a> 			}
<a class="jxr_linenumber" name="L122" href="#L122">122</a> 			@Override
<a class="jxr_linenumber" name="L123" href="#L123">123</a> 			<strong class="jxr_keyword">public</strong> Adapter caseUseInstanceConfigurator(<a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/UseInstanceConfigurator.html">UseInstanceConfigurator</a> object) {
<a class="jxr_linenumber" name="L124" href="#L124">124</a> 				<strong class="jxr_keyword">return</strong> createUseInstanceConfiguratorAdapter();
<a class="jxr_linenumber" name="L125" href="#L125">125</a> 			}
<a class="jxr_linenumber" name="L126" href="#L126">126</a> 			@Override
<a class="jxr_linenumber" name="L127" href="#L127">127</a> 			<strong class="jxr_keyword">public</strong> Adapter caseInstanceConfigurator(<a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/InstanceConfigurator.html">InstanceConfigurator</a> object) {
<a class="jxr_linenumber" name="L128" href="#L128">128</a> 				<strong class="jxr_keyword">return</strong> createInstanceConfiguratorAdapter();
<a class="jxr_linenumber" name="L129" href="#L129">129</a> 			}
<a class="jxr_linenumber" name="L130" href="#L130">130</a> 			@Override
<a class="jxr_linenumber" name="L131" href="#L131">131</a> 			<strong class="jxr_keyword">public</strong> Adapter caseRuleApplication(<a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/RuleApplication.html">RuleApplication</a> object) {
<a class="jxr_linenumber" name="L132" href="#L132">132</a> 				<strong class="jxr_keyword">return</strong> createRuleApplicationAdapter();
<a class="jxr_linenumber" name="L133" href="#L133">133</a> 			}
<a class="jxr_linenumber" name="L134" href="#L134">134</a> 			@Override
<a class="jxr_linenumber" name="L135" href="#L135">135</a> 			<strong class="jxr_keyword">public</strong> Adapter caseContainerRule(<a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/ContainerRule.html">ContainerRule</a> object) {
<a class="jxr_linenumber" name="L136" href="#L136">136</a> 				<strong class="jxr_keyword">return</strong> createContainerRuleAdapter();
<a class="jxr_linenumber" name="L137" href="#L137">137</a> 			}
<a class="jxr_linenumber" name="L138" href="#L138">138</a> 			@Override
<a class="jxr_linenumber" name="L139" href="#L139">139</a> 			<strong class="jxr_keyword">public</strong> Adapter caseTemplatePort(<a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/TemplatePort.html">TemplatePort</a> object) {
<a class="jxr_linenumber" name="L140" href="#L140">140</a> 				<strong class="jxr_keyword">return</strong> createTemplatePortAdapter();
<a class="jxr_linenumber" name="L141" href="#L141">141</a> 			}
<a class="jxr_linenumber" name="L142" href="#L142">142</a> 			@Override
<a class="jxr_linenumber" name="L143" href="#L143">143</a> 			<strong class="jxr_keyword">public</strong> Adapter casePort(<a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/Port.html">Port</a> object) {
<a class="jxr_linenumber" name="L144" href="#L144">144</a> 				<strong class="jxr_keyword">return</strong> createPortAdapter();
<a class="jxr_linenumber" name="L145" href="#L145">145</a> 			}
<a class="jxr_linenumber" name="L146" href="#L146">146</a> 			@Override
<a class="jxr_linenumber" name="L147" href="#L147">147</a> 			<strong class="jxr_keyword">public</strong> Adapter casePortKind(<a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/PortKind.html">PortKind</a> object) {
<a class="jxr_linenumber" name="L148" href="#L148">148</a> 				<strong class="jxr_keyword">return</strong> createPortKindAdapter();
<a class="jxr_linenumber" name="L149" href="#L149">149</a> 			}
<a class="jxr_linenumber" name="L150" href="#L150">150</a> 			@Override
<a class="jxr_linenumber" name="L151" href="#L151">151</a> 			<strong class="jxr_keyword">public</strong> Adapter caseCompImplTemplate(<a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/CompImplTemplate.html">CompImplTemplate</a> object) {
<a class="jxr_linenumber" name="L152" href="#L152">152</a> 				<strong class="jxr_keyword">return</strong> createCompImplTemplateAdapter();
<a class="jxr_linenumber" name="L153" href="#L153">153</a> 			}
<a class="jxr_linenumber" name="L154" href="#L154">154</a> 			@Override
<a class="jxr_linenumber" name="L155" href="#L155">155</a> 			<strong class="jxr_keyword">public</strong> Adapter caseInterceptionRule(<a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/InterceptionRule.html">InterceptionRule</a> object) {
<a class="jxr_linenumber" name="L156" href="#L156">156</a> 				<strong class="jxr_keyword">return</strong> createInterceptionRuleAdapter();
<a class="jxr_linenumber" name="L157" href="#L157">157</a> 			}
<a class="jxr_linenumber" name="L158" href="#L158">158</a> 			@Override
<a class="jxr_linenumber" name="L159" href="#L159">159</a> 			<strong class="jxr_keyword">public</strong> Adapter caseFragment(<a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/Fragment.html">Fragment</a> object) {
<a class="jxr_linenumber" name="L160" href="#L160">160</a> 				<strong class="jxr_keyword">return</strong> createFragmentAdapter();
<a class="jxr_linenumber" name="L161" href="#L161">161</a> 			}
<a class="jxr_linenumber" name="L162" href="#L162">162</a> 			@Override
<a class="jxr_linenumber" name="L163" href="#L163">163</a> 			<strong class="jxr_keyword">public</strong> Adapter caseAssembly(<a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/Assembly.html">Assembly</a> object) {
<a class="jxr_linenumber" name="L164" href="#L164">164</a> 				<strong class="jxr_keyword">return</strong> createAssemblyAdapter();
<a class="jxr_linenumber" name="L165" href="#L165">165</a> 			}
<a class="jxr_linenumber" name="L166" href="#L166">166</a> 			@Override
<a class="jxr_linenumber" name="L167" href="#L167">167</a> 			<strong class="jxr_keyword">public</strong> Adapter defaultCase(EObject object) {
<a class="jxr_linenumber" name="L168" href="#L168">168</a> 				<strong class="jxr_keyword">return</strong> createEObjectAdapter();
<a class="jxr_linenumber" name="L169" href="#L169">169</a> 			}
<a class="jxr_linenumber" name="L170" href="#L170">170</a> 		};
<a class="jxr_linenumber" name="L171" href="#L171">171</a> 
<a class="jxr_linenumber" name="L172" href="#L172">172</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L173" href="#L173">173</a> <em class="jxr_javadoccomment">	 * Creates an adapter for the &lt;code&gt;target&lt;/code&gt;.</em>
<a class="jxr_linenumber" name="L174" href="#L174">174</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L175" href="#L175">175</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L176" href="#L176">176</a> <em class="jxr_javadoccomment">	 * @param target the object to adapt.</em>
<a class="jxr_linenumber" name="L177" href="#L177">177</a> <em class="jxr_javadoccomment">	 * @return the adapter for the &lt;code&gt;target&lt;/code&gt;.</em>
<a class="jxr_linenumber" name="L178" href="#L178">178</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L179" href="#L179">179</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L180" href="#L180">180</a> 	@Override
<a class="jxr_linenumber" name="L181" href="#L181">181</a> 	<strong class="jxr_keyword">public</strong> Adapter createAdapter(Notifier target) {
<a class="jxr_linenumber" name="L182" href="#L182">182</a> 		<strong class="jxr_keyword">return</strong> modelSwitch.doSwitch((EObject)target);
<a class="jxr_linenumber" name="L183" href="#L183">183</a> 	}
<a class="jxr_linenumber" name="L184" href="#L184">184</a> 
<a class="jxr_linenumber" name="L185" href="#L185">185</a> 
<a class="jxr_linenumber" name="L186" href="#L186">186</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L187" href="#L187">187</a> <em class="jxr_javadoccomment">	 * Creates a new adapter for an object of class '{@link org.eclipse.papyrus.designer.components.FCM.ImplementationGroup &lt;em&gt;Implementation Group&lt;/em&gt;}'.</em>
<a class="jxr_linenumber" name="L188" href="#L188">188</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L189" href="#L189">189</a> <em class="jxr_javadoccomment">	 * This default implementation returns null so that we can easily ignore cases;</em>
<a class="jxr_linenumber" name="L190" href="#L190">190</a> <em class="jxr_javadoccomment">	 * it's useful to ignore a case when inheritance will catch all the cases anyway.</em>
<a class="jxr_linenumber" name="L191" href="#L191">191</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L192" href="#L192">192</a> <em class="jxr_javadoccomment">	 * @return the new adapter.</em>
<a class="jxr_linenumber" name="L193" href="#L193">193</a> <em class="jxr_javadoccomment">	 * @see org.eclipse.papyrus.designer.components.FCM.ImplementationGroup</em>
<a class="jxr_linenumber" name="L194" href="#L194">194</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L195" href="#L195">195</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L196" href="#L196">196</a> 	<strong class="jxr_keyword">public</strong> Adapter createImplementationGroupAdapter() {
<a class="jxr_linenumber" name="L197" href="#L197">197</a> 		<strong class="jxr_keyword">return</strong> <strong class="jxr_keyword">null</strong>;
<a class="jxr_linenumber" name="L198" href="#L198">198</a> 	}
<a class="jxr_linenumber" name="L199" href="#L199">199</a> 
<a class="jxr_linenumber" name="L200" href="#L200">200</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L201" href="#L201">201</a> <em class="jxr_javadoccomment">	 * Creates a new adapter for an object of class '{@link org.eclipse.papyrus.designer.components.FCM.CompToOOmapping &lt;em&gt;Comp To OOmapping&lt;/em&gt;}'.</em>
<a class="jxr_linenumber" name="L202" href="#L202">202</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L203" href="#L203">203</a> <em class="jxr_javadoccomment">	 * This default implementation returns null so that we can easily ignore cases;</em>
<a class="jxr_linenumber" name="L204" href="#L204">204</a> <em class="jxr_javadoccomment">	 * it's useful to ignore a case when inheritance will catch all the cases anyway.</em>
<a class="jxr_linenumber" name="L205" href="#L205">205</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L206" href="#L206">206</a> <em class="jxr_javadoccomment">	 * @return the new adapter.</em>
<a class="jxr_linenumber" name="L207" href="#L207">207</a> <em class="jxr_javadoccomment">	 * @see org.eclipse.papyrus.designer.components.FCM.CompToOOmapping</em>
<a class="jxr_linenumber" name="L208" href="#L208">208</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L209" href="#L209">209</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L210" href="#L210">210</a> 	<strong class="jxr_keyword">public</strong> Adapter createCompToOOmappingAdapter() {
<a class="jxr_linenumber" name="L211" href="#L211">211</a> 		<strong class="jxr_keyword">return</strong> <strong class="jxr_keyword">null</strong>;
<a class="jxr_linenumber" name="L212" href="#L212">212</a> 	}
<a class="jxr_linenumber" name="L213" href="#L213">213</a> 
<a class="jxr_linenumber" name="L214" href="#L214">214</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L215" href="#L215">215</a> <em class="jxr_javadoccomment">	 * Creates a new adapter for an object of class '{@link org.eclipse.papyrus.designer.components.FCM.CodeGenOptions &lt;em&gt;Code Gen Options&lt;/em&gt;}'.</em>
<a class="jxr_linenumber" name="L216" href="#L216">216</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L217" href="#L217">217</a> <em class="jxr_javadoccomment">	 * This default implementation returns null so that we can easily ignore cases;</em>
<a class="jxr_linenumber" name="L218" href="#L218">218</a> <em class="jxr_javadoccomment">	 * it's useful to ignore a case when inheritance will catch all the cases anyway.</em>
<a class="jxr_linenumber" name="L219" href="#L219">219</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L220" href="#L220">220</a> <em class="jxr_javadoccomment">	 * @return the new adapter.</em>
<a class="jxr_linenumber" name="L221" href="#L221">221</a> <em class="jxr_javadoccomment">	 * @see org.eclipse.papyrus.designer.components.FCM.CodeGenOptions</em>
<a class="jxr_linenumber" name="L222" href="#L222">222</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L223" href="#L223">223</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L224" href="#L224">224</a> 	<strong class="jxr_keyword">public</strong> Adapter createCodeGenOptionsAdapter() {
<a class="jxr_linenumber" name="L225" href="#L225">225</a> 		<strong class="jxr_keyword">return</strong> <strong class="jxr_keyword">null</strong>;
<a class="jxr_linenumber" name="L226" href="#L226">226</a> 	}
<a class="jxr_linenumber" name="L227" href="#L227">227</a> 
<a class="jxr_linenumber" name="L228" href="#L228">228</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L229" href="#L229">229</a> <em class="jxr_javadoccomment">	 * Creates a new adapter for an object of class '{@link org.eclipse.papyrus.designer.components.FCM.InteractionComponent &lt;em&gt;Interaction Component&lt;/em&gt;}'.</em>
<a class="jxr_linenumber" name="L230" href="#L230">230</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L231" href="#L231">231</a> <em class="jxr_javadoccomment">	 * This default implementation returns null so that we can easily ignore cases;</em>
<a class="jxr_linenumber" name="L232" href="#L232">232</a> <em class="jxr_javadoccomment">	 * it's useful to ignore a case when inheritance will catch all the cases anyway.</em>
<a class="jxr_linenumber" name="L233" href="#L233">233</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L234" href="#L234">234</a> <em class="jxr_javadoccomment">	 * @return the new adapter.</em>
<a class="jxr_linenumber" name="L235" href="#L235">235</a> <em class="jxr_javadoccomment">	 * @see org.eclipse.papyrus.designer.components.FCM.InteractionComponent</em>
<a class="jxr_linenumber" name="L236" href="#L236">236</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L237" href="#L237">237</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L238" href="#L238">238</a> 	<strong class="jxr_keyword">public</strong> Adapter createInteractionComponentAdapter() {
<a class="jxr_linenumber" name="L239" href="#L239">239</a> 		<strong class="jxr_keyword">return</strong> <strong class="jxr_keyword">null</strong>;
<a class="jxr_linenumber" name="L240" href="#L240">240</a> 	}
<a class="jxr_linenumber" name="L241" href="#L241">241</a> 
<a class="jxr_linenumber" name="L242" href="#L242">242</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L243" href="#L243">243</a> <em class="jxr_javadoccomment">	 * Creates a new adapter for an object of class '{@link org.eclipse.papyrus.designer.components.FCM.Singleton &lt;em&gt;Singleton&lt;/em&gt;}'.</em>
<a class="jxr_linenumber" name="L244" href="#L244">244</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L245" href="#L245">245</a> <em class="jxr_javadoccomment">	 * This default implementation returns null so that we can easily ignore cases;</em>
<a class="jxr_linenumber" name="L246" href="#L246">246</a> <em class="jxr_javadoccomment">	 * it's useful to ignore a case when inheritance will catch all the cases anyway.</em>
<a class="jxr_linenumber" name="L247" href="#L247">247</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L248" href="#L248">248</a> <em class="jxr_javadoccomment">	 * @return the new adapter.</em>
<a class="jxr_linenumber" name="L249" href="#L249">249</a> <em class="jxr_javadoccomment">	 * @see org.eclipse.papyrus.designer.components.FCM.Singleton</em>
<a class="jxr_linenumber" name="L250" href="#L250">250</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L251" href="#L251">251</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L252" href="#L252">252</a> 	<strong class="jxr_keyword">public</strong> Adapter createSingletonAdapter() {
<a class="jxr_linenumber" name="L253" href="#L253">253</a> 		<strong class="jxr_keyword">return</strong> <strong class="jxr_keyword">null</strong>;
<a class="jxr_linenumber" name="L254" href="#L254">254</a> 	}
<a class="jxr_linenumber" name="L255" href="#L255">255</a> 
<a class="jxr_linenumber" name="L256" href="#L256">256</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L257" href="#L257">257</a> <em class="jxr_javadoccomment">	 * Creates a new adapter for an object of class '{@link org.eclipse.papyrus.designer.components.FCM.Connector &lt;em&gt;Connector&lt;/em&gt;}'.</em>
<a class="jxr_linenumber" name="L258" href="#L258">258</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L259" href="#L259">259</a> <em class="jxr_javadoccomment">	 * This default implementation returns null so that we can easily ignore cases;</em>
<a class="jxr_linenumber" name="L260" href="#L260">260</a> <em class="jxr_javadoccomment">	 * it's useful to ignore a case when inheritance will catch all the cases anyway.</em>
<a class="jxr_linenumber" name="L261" href="#L261">261</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L262" href="#L262">262</a> <em class="jxr_javadoccomment">	 * @return the new adapter.</em>
<a class="jxr_linenumber" name="L263" href="#L263">263</a> <em class="jxr_javadoccomment">	 * @see org.eclipse.papyrus.designer.components.FCM.Connector</em>
<a class="jxr_linenumber" name="L264" href="#L264">264</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L265" href="#L265">265</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L266" href="#L266">266</a> 	<strong class="jxr_keyword">public</strong> Adapter createConnectorAdapter() {
<a class="jxr_linenumber" name="L267" href="#L267">267</a> 		<strong class="jxr_keyword">return</strong> <strong class="jxr_keyword">null</strong>;
<a class="jxr_linenumber" name="L268" href="#L268">268</a> 	}
<a class="jxr_linenumber" name="L269" href="#L269">269</a> 
<a class="jxr_linenumber" name="L270" href="#L270">270</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L271" href="#L271">271</a> <em class="jxr_javadoccomment">	 * Creates a new adapter for an object of class '{@link org.eclipse.papyrus.designer.components.FCM.ConfigurableElementInstance &lt;em&gt;Configurable Element Instance&lt;/em&gt;}'.</em>
<a class="jxr_linenumber" name="L272" href="#L272">272</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L273" href="#L273">273</a> <em class="jxr_javadoccomment">	 * This default implementation returns null so that we can easily ignore cases;</em>
<a class="jxr_linenumber" name="L274" href="#L274">274</a> <em class="jxr_javadoccomment">	 * it's useful to ignore a case when inheritance will catch all the cases anyway.</em>
<a class="jxr_linenumber" name="L275" href="#L275">275</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L276" href="#L276">276</a> <em class="jxr_javadoccomment">	 * @return the new adapter.</em>
<a class="jxr_linenumber" name="L277" href="#L277">277</a> <em class="jxr_javadoccomment">	 * @see org.eclipse.papyrus.designer.components.FCM.ConfigurableElementInstance</em>
<a class="jxr_linenumber" name="L278" href="#L278">278</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L279" href="#L279">279</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L280" href="#L280">280</a> 	<strong class="jxr_keyword">public</strong> Adapter createConfigurableElementInstanceAdapter() {
<a class="jxr_linenumber" name="L281" href="#L281">281</a> 		<strong class="jxr_keyword">return</strong> <strong class="jxr_keyword">null</strong>;
<a class="jxr_linenumber" name="L282" href="#L282">282</a> 	}
<a class="jxr_linenumber" name="L283" href="#L283">283</a> 
<a class="jxr_linenumber" name="L284" href="#L284">284</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L285" href="#L285">285</a> <em class="jxr_javadoccomment">	 * Creates a new adapter for an object of class '{@link org.eclipse.papyrus.designer.components.FCM.UseInstanceConfigurator &lt;em&gt;Use Instance Configurator&lt;/em&gt;}'.</em>
<a class="jxr_linenumber" name="L286" href="#L286">286</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L287" href="#L287">287</a> <em class="jxr_javadoccomment">	 * This default implementation returns null so that we can easily ignore cases;</em>
<a class="jxr_linenumber" name="L288" href="#L288">288</a> <em class="jxr_javadoccomment">	 * it's useful to ignore a case when inheritance will catch all the cases anyway.</em>
<a class="jxr_linenumber" name="L289" href="#L289">289</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L290" href="#L290">290</a> <em class="jxr_javadoccomment">	 * @return the new adapter.</em>
<a class="jxr_linenumber" name="L291" href="#L291">291</a> <em class="jxr_javadoccomment">	 * @see org.eclipse.papyrus.designer.components.FCM.UseInstanceConfigurator</em>
<a class="jxr_linenumber" name="L292" href="#L292">292</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L293" href="#L293">293</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L294" href="#L294">294</a> 	<strong class="jxr_keyword">public</strong> Adapter createUseInstanceConfiguratorAdapter() {
<a class="jxr_linenumber" name="L295" href="#L295">295</a> 		<strong class="jxr_keyword">return</strong> <strong class="jxr_keyword">null</strong>;
<a class="jxr_linenumber" name="L296" href="#L296">296</a> 	}
<a class="jxr_linenumber" name="L297" href="#L297">297</a> 
<a class="jxr_linenumber" name="L298" href="#L298">298</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L299" href="#L299">299</a> <em class="jxr_javadoccomment">	 * Creates a new adapter for an object of class '{@link org.eclipse.papyrus.designer.components.FCM.InstanceConfigurator &lt;em&gt;Instance Configurator&lt;/em&gt;}'.</em>
<a class="jxr_linenumber" name="L300" href="#L300">300</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L301" href="#L301">301</a> <em class="jxr_javadoccomment">	 * This default implementation returns null so that we can easily ignore cases;</em>
<a class="jxr_linenumber" name="L302" href="#L302">302</a> <em class="jxr_javadoccomment">	 * it's useful to ignore a case when inheritance will catch all the cases anyway.</em>
<a class="jxr_linenumber" name="L303" href="#L303">303</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L304" href="#L304">304</a> <em class="jxr_javadoccomment">	 * @return the new adapter.</em>
<a class="jxr_linenumber" name="L305" href="#L305">305</a> <em class="jxr_javadoccomment">	 * @see org.eclipse.papyrus.designer.components.FCM.InstanceConfigurator</em>
<a class="jxr_linenumber" name="L306" href="#L306">306</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L307" href="#L307">307</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L308" href="#L308">308</a> 	<strong class="jxr_keyword">public</strong> Adapter createInstanceConfiguratorAdapter() {
<a class="jxr_linenumber" name="L309" href="#L309">309</a> 		<strong class="jxr_keyword">return</strong> <strong class="jxr_keyword">null</strong>;
<a class="jxr_linenumber" name="L310" href="#L310">310</a> 	}
<a class="jxr_linenumber" name="L311" href="#L311">311</a> 
<a class="jxr_linenumber" name="L312" href="#L312">312</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L313" href="#L313">313</a> <em class="jxr_javadoccomment">	 * Creates a new adapter for an object of class '{@link org.eclipse.papyrus.designer.components.FCM.RuleApplication &lt;em&gt;Rule Application&lt;/em&gt;}'.</em>
<a class="jxr_linenumber" name="L314" href="#L314">314</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L315" href="#L315">315</a> <em class="jxr_javadoccomment">	 * This default implementation returns null so that we can easily ignore cases;</em>
<a class="jxr_linenumber" name="L316" href="#L316">316</a> <em class="jxr_javadoccomment">	 * it's useful to ignore a case when inheritance will catch all the cases anyway.</em>
<a class="jxr_linenumber" name="L317" href="#L317">317</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L318" href="#L318">318</a> <em class="jxr_javadoccomment">	 * @return the new adapter.</em>
<a class="jxr_linenumber" name="L319" href="#L319">319</a> <em class="jxr_javadoccomment">	 * @see org.eclipse.papyrus.designer.components.FCM.RuleApplication</em>
<a class="jxr_linenumber" name="L320" href="#L320">320</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L321" href="#L321">321</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L322" href="#L322">322</a> 	<strong class="jxr_keyword">public</strong> Adapter createRuleApplicationAdapter() {
<a class="jxr_linenumber" name="L323" href="#L323">323</a> 		<strong class="jxr_keyword">return</strong> <strong class="jxr_keyword">null</strong>;
<a class="jxr_linenumber" name="L324" href="#L324">324</a> 	}
<a class="jxr_linenumber" name="L325" href="#L325">325</a> 
<a class="jxr_linenumber" name="L326" href="#L326">326</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L327" href="#L327">327</a> <em class="jxr_javadoccomment">	 * Creates a new adapter for an object of class '{@link org.eclipse.papyrus.designer.components.FCM.ContainerRule &lt;em&gt;Container Rule&lt;/em&gt;}'.</em>
<a class="jxr_linenumber" name="L328" href="#L328">328</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L329" href="#L329">329</a> <em class="jxr_javadoccomment">	 * This default implementation returns null so that we can easily ignore cases;</em>
<a class="jxr_linenumber" name="L330" href="#L330">330</a> <em class="jxr_javadoccomment">	 * it's useful to ignore a case when inheritance will catch all the cases anyway.</em>
<a class="jxr_linenumber" name="L331" href="#L331">331</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L332" href="#L332">332</a> <em class="jxr_javadoccomment">	 * @return the new adapter.</em>
<a class="jxr_linenumber" name="L333" href="#L333">333</a> <em class="jxr_javadoccomment">	 * @see org.eclipse.papyrus.designer.components.FCM.ContainerRule</em>
<a class="jxr_linenumber" name="L334" href="#L334">334</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L335" href="#L335">335</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L336" href="#L336">336</a> 	<strong class="jxr_keyword">public</strong> Adapter createContainerRuleAdapter() {
<a class="jxr_linenumber" name="L337" href="#L337">337</a> 		<strong class="jxr_keyword">return</strong> <strong class="jxr_keyword">null</strong>;
<a class="jxr_linenumber" name="L338" href="#L338">338</a> 	}
<a class="jxr_linenumber" name="L339" href="#L339">339</a> 
<a class="jxr_linenumber" name="L340" href="#L340">340</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L341" href="#L341">341</a> <em class="jxr_javadoccomment">	 * Creates a new adapter for an object of class '{@link org.eclipse.papyrus.designer.components.FCM.TemplatePort &lt;em&gt;Template Port&lt;/em&gt;}'.</em>
<a class="jxr_linenumber" name="L342" href="#L342">342</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L343" href="#L343">343</a> <em class="jxr_javadoccomment">	 * This default implementation returns null so that we can easily ignore cases;</em>
<a class="jxr_linenumber" name="L344" href="#L344">344</a> <em class="jxr_javadoccomment">	 * it's useful to ignore a case when inheritance will catch all the cases anyway.</em>
<a class="jxr_linenumber" name="L345" href="#L345">345</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L346" href="#L346">346</a> <em class="jxr_javadoccomment">	 * @return the new adapter.</em>
<a class="jxr_linenumber" name="L347" href="#L347">347</a> <em class="jxr_javadoccomment">	 * @see org.eclipse.papyrus.designer.components.FCM.TemplatePort</em>
<a class="jxr_linenumber" name="L348" href="#L348">348</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L349" href="#L349">349</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L350" href="#L350">350</a> 	<strong class="jxr_keyword">public</strong> Adapter createTemplatePortAdapter() {
<a class="jxr_linenumber" name="L351" href="#L351">351</a> 		<strong class="jxr_keyword">return</strong> <strong class="jxr_keyword">null</strong>;
<a class="jxr_linenumber" name="L352" href="#L352">352</a> 	}
<a class="jxr_linenumber" name="L353" href="#L353">353</a> 
<a class="jxr_linenumber" name="L354" href="#L354">354</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L355" href="#L355">355</a> <em class="jxr_javadoccomment">	 * Creates a new adapter for an object of class '{@link org.eclipse.papyrus.designer.components.FCM.Port &lt;em&gt;Port&lt;/em&gt;}'.</em>
<a class="jxr_linenumber" name="L356" href="#L356">356</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L357" href="#L357">357</a> <em class="jxr_javadoccomment">	 * This default implementation returns null so that we can easily ignore cases;</em>
<a class="jxr_linenumber" name="L358" href="#L358">358</a> <em class="jxr_javadoccomment">	 * it's useful to ignore a case when inheritance will catch all the cases anyway.</em>
<a class="jxr_linenumber" name="L359" href="#L359">359</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L360" href="#L360">360</a> <em class="jxr_javadoccomment">	 * @return the new adapter.</em>
<a class="jxr_linenumber" name="L361" href="#L361">361</a> <em class="jxr_javadoccomment">	 * @see org.eclipse.papyrus.designer.components.FCM.Port</em>
<a class="jxr_linenumber" name="L362" href="#L362">362</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L363" href="#L363">363</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L364" href="#L364">364</a> 	<strong class="jxr_keyword">public</strong> Adapter createPortAdapter() {
<a class="jxr_linenumber" name="L365" href="#L365">365</a> 		<strong class="jxr_keyword">return</strong> <strong class="jxr_keyword">null</strong>;
<a class="jxr_linenumber" name="L366" href="#L366">366</a> 	}
<a class="jxr_linenumber" name="L367" href="#L367">367</a> 
<a class="jxr_linenumber" name="L368" href="#L368">368</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L369" href="#L369">369</a> <em class="jxr_javadoccomment">	 * Creates a new adapter for an object of class '{@link org.eclipse.papyrus.designer.components.FCM.PortKind &lt;em&gt;Port Kind&lt;/em&gt;}'.</em>
<a class="jxr_linenumber" name="L370" href="#L370">370</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L371" href="#L371">371</a> <em class="jxr_javadoccomment">	 * This default implementation returns null so that we can easily ignore cases;</em>
<a class="jxr_linenumber" name="L372" href="#L372">372</a> <em class="jxr_javadoccomment">	 * it's useful to ignore a case when inheritance will catch all the cases anyway.</em>
<a class="jxr_linenumber" name="L373" href="#L373">373</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L374" href="#L374">374</a> <em class="jxr_javadoccomment">	 * @return the new adapter.</em>
<a class="jxr_linenumber" name="L375" href="#L375">375</a> <em class="jxr_javadoccomment">	 * @see org.eclipse.papyrus.designer.components.FCM.PortKind</em>
<a class="jxr_linenumber" name="L376" href="#L376">376</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L377" href="#L377">377</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L378" href="#L378">378</a> 	<strong class="jxr_keyword">public</strong> Adapter createPortKindAdapter() {
<a class="jxr_linenumber" name="L379" href="#L379">379</a> 		<strong class="jxr_keyword">return</strong> <strong class="jxr_keyword">null</strong>;
<a class="jxr_linenumber" name="L380" href="#L380">380</a> 	}
<a class="jxr_linenumber" name="L381" href="#L381">381</a> 
<a class="jxr_linenumber" name="L382" href="#L382">382</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L383" href="#L383">383</a> <em class="jxr_javadoccomment">	 * Creates a new adapter for an object of class '{@link org.eclipse.papyrus.designer.components.FCM.CompImplTemplate &lt;em&gt;Comp Impl Template&lt;/em&gt;}'.</em>
<a class="jxr_linenumber" name="L384" href="#L384">384</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L385" href="#L385">385</a> <em class="jxr_javadoccomment">	 * This default implementation returns null so that we can easily ignore cases;</em>
<a class="jxr_linenumber" name="L386" href="#L386">386</a> <em class="jxr_javadoccomment">	 * it's useful to ignore a case when inheritance will catch all the cases anyway.</em>
<a class="jxr_linenumber" name="L387" href="#L387">387</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L388" href="#L388">388</a> <em class="jxr_javadoccomment">	 * @return the new adapter.</em>
<a class="jxr_linenumber" name="L389" href="#L389">389</a> <em class="jxr_javadoccomment">	 * @see org.eclipse.papyrus.designer.components.FCM.CompImplTemplate</em>
<a class="jxr_linenumber" name="L390" href="#L390">390</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L391" href="#L391">391</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L392" href="#L392">392</a> 	<strong class="jxr_keyword">public</strong> Adapter createCompImplTemplateAdapter() {
<a class="jxr_linenumber" name="L393" href="#L393">393</a> 		<strong class="jxr_keyword">return</strong> <strong class="jxr_keyword">null</strong>;
<a class="jxr_linenumber" name="L394" href="#L394">394</a> 	}
<a class="jxr_linenumber" name="L395" href="#L395">395</a> 
<a class="jxr_linenumber" name="L396" href="#L396">396</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L397" href="#L397">397</a> <em class="jxr_javadoccomment">	 * Creates a new adapter for an object of class '{@link org.eclipse.papyrus.designer.components.FCM.InterceptionRule &lt;em&gt;Interception Rule&lt;/em&gt;}'.</em>
<a class="jxr_linenumber" name="L398" href="#L398">398</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L399" href="#L399">399</a> <em class="jxr_javadoccomment">	 * This default implementation returns null so that we can easily ignore cases;</em>
<a class="jxr_linenumber" name="L400" href="#L400">400</a> <em class="jxr_javadoccomment">	 * it's useful to ignore a case when inheritance will catch all the cases anyway.</em>
<a class="jxr_linenumber" name="L401" href="#L401">401</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L402" href="#L402">402</a> <em class="jxr_javadoccomment">	 * @return the new adapter.</em>
<a class="jxr_linenumber" name="L403" href="#L403">403</a> <em class="jxr_javadoccomment">	 * @see org.eclipse.papyrus.designer.components.FCM.InterceptionRule</em>
<a class="jxr_linenumber" name="L404" href="#L404">404</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L405" href="#L405">405</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L406" href="#L406">406</a> 	<strong class="jxr_keyword">public</strong> Adapter createInterceptionRuleAdapter() {
<a class="jxr_linenumber" name="L407" href="#L407">407</a> 		<strong class="jxr_keyword">return</strong> <strong class="jxr_keyword">null</strong>;
<a class="jxr_linenumber" name="L408" href="#L408">408</a> 	}
<a class="jxr_linenumber" name="L409" href="#L409">409</a> 
<a class="jxr_linenumber" name="L410" href="#L410">410</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L411" href="#L411">411</a> <em class="jxr_javadoccomment">	 * Creates a new adapter for an object of class '{@link org.eclipse.papyrus.designer.components.FCM.Fragment &lt;em&gt;Fragment&lt;/em&gt;}'.</em>
<a class="jxr_linenumber" name="L412" href="#L412">412</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L413" href="#L413">413</a> <em class="jxr_javadoccomment">	 * This default implementation returns null so that we can easily ignore cases;</em>
<a class="jxr_linenumber" name="L414" href="#L414">414</a> <em class="jxr_javadoccomment">	 * it's useful to ignore a case when inheritance will catch all the cases anyway.</em>
<a class="jxr_linenumber" name="L415" href="#L415">415</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L416" href="#L416">416</a> <em class="jxr_javadoccomment">	 * @return the new adapter.</em>
<a class="jxr_linenumber" name="L417" href="#L417">417</a> <em class="jxr_javadoccomment">	 * @see org.eclipse.papyrus.designer.components.FCM.Fragment</em>
<a class="jxr_linenumber" name="L418" href="#L418">418</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L419" href="#L419">419</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L420" href="#L420">420</a> 	<strong class="jxr_keyword">public</strong> Adapter createFragmentAdapter() {
<a class="jxr_linenumber" name="L421" href="#L421">421</a> 		<strong class="jxr_keyword">return</strong> <strong class="jxr_keyword">null</strong>;
<a class="jxr_linenumber" name="L422" href="#L422">422</a> 	}
<a class="jxr_linenumber" name="L423" href="#L423">423</a> 
<a class="jxr_linenumber" name="L424" href="#L424">424</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L425" href="#L425">425</a> <em class="jxr_javadoccomment">	 * Creates a new adapter for an object of class '{@link org.eclipse.papyrus.designer.components.FCM.Assembly &lt;em&gt;Assembly&lt;/em&gt;}'.</em>
<a class="jxr_linenumber" name="L426" href="#L426">426</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L427" href="#L427">427</a> <em class="jxr_javadoccomment">	 * This default implementation returns null so that we can easily ignore cases;</em>
<a class="jxr_linenumber" name="L428" href="#L428">428</a> <em class="jxr_javadoccomment">	 * it's useful to ignore a case when inheritance will catch all the cases anyway.</em>
<a class="jxr_linenumber" name="L429" href="#L429">429</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L430" href="#L430">430</a> <em class="jxr_javadoccomment">	 * @return the new adapter.</em>
<a class="jxr_linenumber" name="L431" href="#L431">431</a> <em class="jxr_javadoccomment">	 * @see org.eclipse.papyrus.designer.components.FCM.Assembly</em>
<a class="jxr_linenumber" name="L432" href="#L432">432</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L433" href="#L433">433</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L434" href="#L434">434</a> 	<strong class="jxr_keyword">public</strong> Adapter createAssemblyAdapter() {
<a class="jxr_linenumber" name="L435" href="#L435">435</a> 		<strong class="jxr_keyword">return</strong> <strong class="jxr_keyword">null</strong>;
<a class="jxr_linenumber" name="L436" href="#L436">436</a> 	}
<a class="jxr_linenumber" name="L437" href="#L437">437</a> 
<a class="jxr_linenumber" name="L438" href="#L438">438</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L439" href="#L439">439</a> <em class="jxr_javadoccomment">	 * Creates a new adapter for the default case.</em>
<a class="jxr_linenumber" name="L440" href="#L440">440</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L441" href="#L441">441</a> <em class="jxr_javadoccomment">	 * This default implementation returns null.</em>
<a class="jxr_linenumber" name="L442" href="#L442">442</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L443" href="#L443">443</a> <em class="jxr_javadoccomment">	 * @return the new adapter.</em>
<a class="jxr_linenumber" name="L444" href="#L444">444</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L445" href="#L445">445</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L446" href="#L446">446</a> 	<strong class="jxr_keyword">public</strong> Adapter createEObjectAdapter() {
<a class="jxr_linenumber" name="L447" href="#L447">447</a> 		<strong class="jxr_keyword">return</strong> <strong class="jxr_keyword">null</strong>;
<a class="jxr_linenumber" name="L448" href="#L448">448</a> 	}
<a class="jxr_linenumber" name="L449" href="#L449">449</a> 
<a class="jxr_linenumber" name="L450" href="#L450">450</a> } <em class="jxr_comment">// FCMAdapterFactory</em>
</pre>
<hr/>
<div id="footer">Copyright &#169; 2016&#x2013;2017 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</div>
</body>
</html>
